package config

import (
	"time"

	"git.schreifuchs.ch/schreifuchs/ng-blog/backend/internal/auth"
)

type Config struct {
	Port   int         `env:"PORT"`
	Host   string      `env:"HOST"`
	DBPath string      `env:"DB_PATH"`
	Auth   auth.Config `env:"AUTH"`
}

func Default() *Config {
	return &Config{
		Port:   8080,
		Host:   "localhost",
		DBPath: "./blog.db",
		Auth: auth.Config{
			Secret:        "secret",
			ValidDuration: time.Hour * 1,
			AdminName:     "admin",
			AdminPassword: "admin",
		},
	}
}
